<section id="deal_payment_successful_page">
    <div class="payment_success_content">
        <img src="assets/images/payment-success-logo.png" alt="payment-success-logo">
        <h4 class="mt-3">Payment Succesful!</h4>
        <p *ngIf="!isDeliveryDeal()">Details about your order has been sent to your mail.</p>
        <p *ngIf="_DataService?._DealCode?.DealTypeCode == 'dealtype.product'">Kindly check email for order summary</p>
        <p class="deal_code m-0">
            <span *ngIf="!isDeliveryDeal()">Deal Code:</span> 
            <span *ngIf="isDeliveryDeal()">Order No.:</span> 
            {{_DataService._DealCode.ItemCode || "----"}}</p>
        <hr class="w-100 m-3">
        <div *ngIf="!isDeliveryDeal()">
            <h6>Redeem Location</h6>
            <p class="m-0"><i class="icofont-location-pin"></i> {{ paymentsuccess.address || '----'}}</p>
            <p class="m-0">Phone Number: {{ _DataService._DealCode.MerchantContactNumber || '----'}}</p>
        </div>
        <br>
        <button class="btn btn-primary mb-2" (click)="navigateToDealCode()">View Order Details</button>
        <button class="btn btn-link" routerLink="/deals">Continue Shopping</button>
    </div>
</section>